summaryrefslogtreecommitdiff
path: root/dev-python/fastbencode/fastbencode-0.3.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/fastbencode/fastbencode-0.3.2.ebuild')
-rw-r--r--dev-python/fastbencode/fastbencode-0.3.2.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/fastbencode/fastbencode-0.3.2.ebuild b/dev-python/fastbencode/fastbencode-0.3.2.ebuild
new file mode 100644
index 000000000000..a5d3ba09d1c6
--- /dev/null
+++ b/dev-python/fastbencode/fastbencode-0.3.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Implementation of bencode with optional fast C extensions"
+HOMEPAGE="
+ https://github.com/breezy-team/fastbencode/
+ https://pypi.org/project/fastbencode/
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # makes the extension non-optional (when built)
+ export CIBUILDWHEEL=1
+ if ! use native-extensions; then
+ sed -i -e '/^add_cython_extension(/d' setup.py || die
+ fi
+}
+
+src_test() {
+ mv fastbencode/tests tests || die
+ rm -r fastbencode || die
+
+ distutils-r1_src_test
+}